Pay an invoice
Attempts to auto-charge an open invoice, or falls back to a checkout session when supported by the provider.
Authorization
bearerAuth Path Parameters
id*string
Request Body
application/json
callbackUrl?string
Format
uriResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.owostack.com/v1/billing/invoice/string/pay" \ -H "Content-Type: application/json" \ -d '{}'{
"success": true,
"paid": true,
"checkoutUrl": "http://example.com",
"invoice": {
"id": "string",
"number": "string",
"total": 0,
"currency": "string",
"status": "string",
"property1": null,
"property2": null
},
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"paid": true,
"checkoutUrl": "http://example.com",
"invoice": {
"id": "string",
"number": "string",
"total": 0,
"currency": "string",
"status": "string",
"property1": null,
"property2": null
},
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}